Summary: An X Window System tool for drawing basic vector graphics.
Name: xfig
Version: 3.2.3
Release: 1
Copyright: Freeware
Group: Applications/Multimedia
Source0: http://www.xfig.org/xfigdist/xfig.%{version}.tar.gz
Source1: xfig.xpm
Patch0: xfig.3.2.3-1-config.patch
Patch1: xfig.3.2.2-vararg.patch
Requires: transfig >= 3.2.3
Buildroot: /var/tmp/%{name}-root

%description
Xfig is an X Window System tool for creating basic vector graphics,
including bezier curves, lines, rulers and more.  The resulting
graphics can be saved, printed on PostScript printers or converted to
a variety of other formats (e.g., X11 bitmaps, Encapsulated
PostScript, LaTeX).

You should install xfig if you need a simple program to create vector
graphics.

%prep
%setup -q -n xfig.3.2.3
%patch0 -p1 -b .config
#%patch1 -p1 -b .vararg

%build
xmkmf

%ifarch alpha
find . -name Makefile | xargs perl -pi -e "s|-O2||g"
%endif

make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Applications
make DESTDIR=$RPM_BUILD_ROOT install install.man

mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/usr/share/pixmaps

cat > $RPM_BUILD_ROOT/etc/X11/applnk/Applications/xfig.desktop <<EOF
[Desktop Entry]
Name=XFig
Comment=Vector Graphics Drawing Tool
Type=Application
Exec=/usr/X11R6/bin/xfig
Icon=/usr/share/pixmaps/xfig.xpm
Terminal=0
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/X11R6/bin/*
/usr/X11R6/lib/X11/xfig/*
/usr/X11R6/man/*/*
/usr/share/pixmaps/xfig.xpm

%config /usr/X11R6/lib/X11/app-defaults/*
%config /etc/X11/applnk/Applications/xfig.desktop

%changelog
* Mon Mar 13 2000 Nick Urbanik <Nicku@vtc.edu.hk>
- upgrade to 3.2.3
- Manually patched Imakefile (hope no bugs introduced).
- Need transfig >= 3.2.3.

* Fri Jan 14 2000 Preston Brown <pbrown@redhat.com>
- upgrade to beta1 of 2.2.3.  Hopefully this fixes outstanding issues.
- no need for vararg fix, commented out

* Thu Sep 23 1999 Preston Brown <pbrown@redhat.com>
- add icon
- don't compile with optimization on alpha

* Mon Aug 30 1999 Preston Brown <pbrown@redhat.com>
- converted to use a .desktop file

* Fri Mar 26 1999 Michael Maher <mike@redhat.com>
- added files that were missing. 

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)
- varargs fix

* Thu Feb 18 1999 Jeff Johnson <jbj@redhat.com>
- correct DESTDIRR typo (#962)

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Tue Jul  7 1998 Jeff Johnson <jbj@redhat.com>
- updated to 3.2.2.

* Wed Jun 10 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat Apr 11 1998 Cristian Gafton <gafton@redhat.com>
- updated for manhattan
- buildroot

* Thu Oct 23 1997 Marc Ewing <marc@redhat.com>
- new version
- messed with config for 5.0
- updated Requires and Copyright
- added wmconfig

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
